curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bride_family_name": "",
"bride_given_name": "",
"groom_family_name": "",
"groom_given_name": "",
"doe": "",
"registration_state": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate"
payload = {
"bride_family_name": "",
"bride_given_name": "",
"groom_family_name": "",
"groom_given_name": "",
"doe": "",
"registration_state": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bride_family_name: '',
bride_given_name: '',
groom_family_name: '',
groom_given_name: '',
doe: '',
registration_state: '',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bride_family_name' => '',
'bride_given_name' => '',
'groom_family_name' => '',
'groom_given_name' => '',
'doe' => '',
'registration_state' => '',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate"
payload := strings.NewReader("{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Australia Marriage Certificate processed successfully",
"data": {
"isValid": true
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "australia_marriage_certificate",
"metadata": null
}Marriage Certificate
Authenticate Australian marriage certificates via official sources.
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bride_family_name": "",
"bride_given_name": "",
"groom_family_name": "",
"groom_given_name": "",
"doe": "",
"registration_state": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate"
payload = {
"bride_family_name": "",
"bride_given_name": "",
"groom_family_name": "",
"groom_given_name": "",
"doe": "",
"registration_state": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bride_family_name: '',
bride_given_name: '',
groom_family_name: '',
groom_given_name: '',
doe: '',
registration_state: '',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bride_family_name' => '',
'bride_given_name' => '',
'groom_family_name' => '',
'groom_given_name' => '',
'doe' => '',
'registration_state' => '',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate"
payload := strings.NewReader("{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/marriage-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bride_family_name\": \"\",\n \"bride_given_name\": \"\",\n \"groom_family_name\": \"\",\n \"groom_given_name\": \"\",\n \"doe\": \"\",\n \"registration_state\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Australia Marriage Certificate processed successfully",
"data": {
"isValid": true
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "australia_marriage_certificate",
"metadata": null
}Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
Family name of the bride for verification.
Given name of the bride.
Family name of the groom.
Given name of the groom.
Date of event (for example, marriage) in YYYY-MM-DD format.
State where the marriage was registered (for example WA).
Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Certificate number issued for the marriage for verification.
Date the certificate was printed in YYYY-MM-DD format.
Date the marriage was registered in YYYY-MM-DD format.
Unique registration number.
Year the marriage was registered.
Response
AU marriage certificate verification processed successfully

